Skip to main content
POST
/
api
/
v1
/
auth
/
universal-auth
/
identities
/
{identityId}
/
client-secrets
cURL
curl --request POST \
  --url https://us.infisical.com/api/v1/auth/universal-auth/identities/{identityId}/client-secrets \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "description": "",
  "numUsesLimit": 0,
  "ttl": 0
}
'
{
  "clientSecret": "<string>",
  "clientSecretData": {
    "id": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "description": "<string>",
    "clientSecretPrefix": "<string>",
    "identityUAId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "clientSecretNumUses": 0,
    "clientSecretNumUsesLimit": 0,
    "clientSecretTTL": 0,
    "isClientSecretRevoked": false
  }
}

Documentation Index

Fetch the complete documentation index at: https://infisical-saif-eng-4890-add-support-for-oracle-db-access-in.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

An access token in Infisical

Path Parameters

identityId
string
required

The ID of the machine identity to create a client secret for.

Body

application/json
description
string
default:""

The description of the client secret.

numUsesLimit
number
default:0

The maximum number of times that the client secret can be used; a value of 0 implies infinite number of uses.

Required range: x >= 0
ttl
number
default:0

The lifetime for the client secret in seconds.

Required range: 0 <= x <= 315360000

Response

Default Response

clientSecret
string
required
clientSecretData
object
required